### Method

# Phosh Shell activate_action

#### Declaration [src]

    gboolean
    phosh_shell_activate_action (
      PhoshShell* self,
      const char* action,
      GVariant* parameter
    )

#### Description [src]

Activates the given action. If the action is not found `FALSE` is returned and a warning is logged.

#### Parameters

`action`

  Type: `const char*`

  The action name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameter`

  Type: `GVariant`

  The action’s parameters.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the action was found.